package com.example.nto.controller;

import com.example.nto.entity.ResponseData;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.media.Content;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.responses.ApiResponse;
import io.swagger.v3.oas.annotations.responses.ApiResponses;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
public class GlobalController {
    @PostMapping("/api/login")
    @Operation(summary = "Auth employee with login and pass")
    @ApiResponses(value = {
            @ApiResponse(responseCode = "200",
                    description = "Auth employee with login and password success",
                    content = {@Content(mediaType = "application/json",
                            schema = @Schema(implementation = ResponseData.class))}),
            @ApiResponse(responseCode = "401",
                    description = "Login/Password not found or invalid"),
            @ApiResponse(responseCode = "400",
                    description = "Something went wrong")

    })
    public ResponseEntity<ResponseData> login() {
        return new ResponseEntity<>(new ResponseData(HttpStatus.OK.value(), "AuthSuccess"), HttpStatus.OK);
    }
}
