package com.example.nto.exception;

import com.example.nto.entity.ResponseData;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;

@ControllerAdvice
public class ExceptionHandler {
    @org.springframework.web.bind.annotation.ExceptionHandler(EmployeeNotFoundException.class)
    public ResponseEntity<ResponseData> handleEmployeeNotFoundException(EmployeeNotFoundException e) {
        return new ResponseEntity<ResponseData>(new ResponseData(HttpStatus.UNAUTHORIZED.value(), "EmployeeNotFound"), HttpStatus.UNAUTHORIZED);
    }

    @org.springframework.web.bind.annotation.ExceptionHandler(CodeNotFoundException.class)
    public ResponseEntity<ResponseData> handleCodeNotFoundException(CodeNotFoundException e) {
        return new ResponseEntity<ResponseData>(new ResponseData(HttpStatus.BAD_REQUEST.value(), "CodeNotFound"), HttpStatus.BAD_REQUEST);
    }

    @org.springframework.web.bind.annotation.ExceptionHandler(VisitsEmptyException.class)
    public ResponseEntity<ResponseData> handleVisitsEmptyException(VisitsEmptyException e) {
        return new ResponseEntity<ResponseData>(new ResponseData(HttpStatus.BAD_REQUEST.value(), "VisitsEmpty"), HttpStatus.BAD_REQUEST);
    }

    @org.springframework.web.bind.annotation.ExceptionHandler(YouAreBlockedException.class)
    public ResponseEntity<ResponseData> handleYouAreBlockedException(YouAreBlockedException e) {
        return new ResponseEntity<ResponseData>(new ResponseData(HttpStatus.FORBIDDEN.value(), "YouAreBlocked"), HttpStatus.FORBIDDEN);
    }

    @org.springframework.web.bind.annotation.ExceptionHandler(EmployeeIsAdminException.class)
    public ResponseEntity<ResponseData> handleEmployeeIsAdminException(EmployeeIsAdminException e) {
        return new ResponseEntity<ResponseData>(new ResponseData(HttpStatus.BAD_REQUEST.value(), "EmloyeeIsAdmin"), HttpStatus.BAD_REQUEST);
    }
}
